---
features:
  secondary:
  - name: "Manage project topics with the API"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/api/topics'
    reporter: ogolowinski
    stage: manage
    categories:
    - Projects
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/345788'
    description: |
         In this release, thanks to [Jonas Wälter's](https://gitlab.com/wwwjon) contributions, adding topics in project settings is easier than ever. In addition to the latest project topic management features in the UI, you can now use the API to retrieve topics by list or ID. We've also made it possible for administrators to create or edit topics through the API. This introduces full parity between project topic management in the UI and API.
